# \_financialsExport

Returns financial details for a given customer

### Parameters

#### customerId

The ID of the customer

#### dateFrom

The date to retrieve financial details from in formatt YYYY/MM/DD

#### dateTo

The date to retrieve financial details to in formatt YYYY/MM/DD

### Example

```
FM_api('Customer_financialsExport', ['customerId' => '4', 'datefrom' => '2018/08/01', 'dateTo' => '2018/12/29'])
```

#### On Success

```
"ID,Contract,Date,Labour,Mileage,Stock,"Total Costs",Price(Net),Price(Gross),Tax,Profit
85,,"2018-10-23 12:00:00",10.00,0,50.00,60.00,0.0000,0,0,0
95,,"2018-10-17 10:50:11",32.5,0,0,32.5,0.0000,0,0,-32.5
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/customer/_financialsexport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
